"""
Flask extensions for the NetViz application.
"""
from flask_sqlalchemy import SQLAlchemy
from flask_migrate import Migrate
from flask_login import LoginManager
from flask_limiter import Limiter
from flask_limiter.util import get_remote_address
from flask_mail import Mail
from flask_session import Session

# Database
db = SQLAlchemy()
migrate = Migrate()

# Authentication
login_manager = LoginManager()
login_manager.login_view = "auth.login"
login_manager.login_message_category = "info"

# Rate limiting
limiter = Limiter(key_func=get_remote_address)

# Email
mail = Mail()

# Server-side sessions
session = Session()
